<?php

/*
'**************************************************************************************************
' 程序名称: CCTVAI开源音乐管理系统
' 官方网站: http://www.cctvai.com
' 联系 Q Q: 1542367792
' QQ交流群：136687984
' 版本：(终结版)
' 备注：未经书面授权，不得向任何第三方提供本软件系统！
' 功能，模板，插件，扩展，定制请联系QQ：1542367792
'**************************************************************************************************
*/
error_reporting(0);
include "../../include/cctvai.conn.php";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="style.css" rel="stylesheet" />
</head>
<body>
<div class="box musicBus mt bgWrite">
<div style="color: #808080; margin: 20px 10px; font-size: 12px;">
<?php
error_reporting(0);
$rServer=$_GET["rServer"];
if($rServer=="") {
	exit('抱歉！缺少服务器序号！');
}
?>
 <form  action="" method="post">
页面地址：
<input type="text" name="url" value="" style="width: 70%;" class="input1">
<input type="submit" value="确定" name="submitMe" class="btn btn-danger">
</form>
</div>
</div>
<div class="box musicBus mt bgWrite">
<div style="color: #808080; margin: 10px 15px; font-size: 12px;line-height:25px;">
<?php
error_reporting(0);
include "conf.inc.php";
$url=$_POST["url"];
if(isset($_POST['submitMe'])) {
    if($$url == strpos(strtolower($url), 'tudou.com')) {
        echo '<font color="red">抱歉，您提交的不是正确的地址，请重新提交！</font>';
    } else {
        if(yijianvideoremote == "1") {
            $str=@file_get_contents("$url"); //远程访问
        } else {
            $curl=curl_init(); //初始化cURL 对象
            curl_setopt($curl, CURLOPT_URL, $url); //目标
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1); //要求结果保存到字符串中
			curl_setopt($curl, CURLOPT_TIMEOUT,15);//超时秒数,避免长时间无响应
            $str=curl_exec($curl); //运行cURL，请求远程
            curl_close($curl); //关闭URL请求
        }
		$str=preg_replace('/\s+/','',$str);
		$str=str_replace('icode','lcode',$str);
		$str=str_replace('sn','lkw',$str);
		$str=str_replace(',','<x5>',$str);
		$str=str_replace('【MV】','',$str);
		preg_match("/varpageConfig={(.*)\};if\(window!=parent&&!/", $str, $txt); //基础信息
		preg_match("/vcode:'(.*)'<x5>/iU", $txt[1], $CD_vcode); //查询是否优酷
		preg_match("/lcode:'(.*)'<x5>/iU", $txt[1], $CD_Uid); //获取备用ID
		preg_match("/iid:(.*)<x5>/iU", $txt[1], $CD_Url); //获取播放ID
		preg_match("/<x5>lkw:'(.*)'<x5>/iU", $txt[1], $CD_Singer); //获取歌手
		preg_match("/<x5>kw:'(.*)'<x5>/iU", $txt[1], $CD_Name); //获取标题
		preg_match("/<x5>time:'(.*)'<x5>/iU", $txt[1], $CD_Playtime); //获取播放时长
		preg_match("/<x5>pic:'(.*)'<x5>/iU", $txt[1], $CD_Pic); //获取封面
		if($CD_vcode[1]){
			$CD_Url[1]=$CD_vcode[1];
		}
        $rdanceName=$CD_Name[1]; //标题
		$rSingerID=$CD_Singer[1]; //歌手
        $rPic=$CD_Pic[1]; //封面图片
        $rUrl=$CD_Url[1] . '.mp4'; //播放ID
        $rsiz=rand(1, 9) . rand(1, 9) . rand(1, 9) . 'MB'; //文件大小
        $rmd5='0'; //文件MD5
        $rfrom="tudou"; //数据来源
        $ruid=$CD_Uid[1]; //备用ID
        $Playtime=$CD_Playtime[1]; //播放时长
        $Bitkbps=""; //比特率
		$rnote=""; //介绍

		$rdanceName=str_replace('&nbsp;', ' ', $rdanceName);
		$rdanceName=str_replace('"', '', $rdanceName);
		$rdanceName=str_replace('\'', '', $rdanceName);
		$rdanceName=str_replace('<x5>', '', $rdanceName);
		
        //判断一步防止错误信息
        if(empty($rdanceName) || empty($CD_Url[1])) {
            echo "<script>alert('抱歉，添加失败！');history.back();</script>";
        } else {
            echo "
<script type=\"text/javascript\">
window.parent.parent.document.form.rvideoName.value='$rdanceName';
window.parent.parent.document.form.rSingerID.value='$rSingerID';
window.parent.parent.document.form.rUrl.value='$rUrl';
window.parent.parent.document.form.rsiz.value='$rsiz';
window.parent.parent.document.form.rmd5.value='$rmd5';
window.parent.parent.document.form.rfrom.value='$rfrom';
window.parent.parent.document.form.ruid.value='$ruid';
window.parent.parent.document.form.Playtime.value='$Playtime';
window.parent.parent.document.form.Bitkbps.value='$Bitkbps';
window.parent.parent.document.form.rServer.value='$rServer';
window.parent.parent.document.form.rPic.value='$rPic';
window.parent.parent.document.form.yijianvideo.value='" . yijianvideopic . "';
window.close()
this.parent.$.tipMessage('恭喜，添加成功！', 0, 2000);
this.parent.layer.closeAll();
</script>
";

        }
    }
} else {
    echo '<font color="red">正在使用:土豆视频一键添加</font><br />
比如：http://www.tudou.com/listplay/2b0h_Z0LSrw/Y6VJjdr1bw4.html';
}
?>
<a href="index.php" style="float: right;">↑返回主菜单</a>
</div>
</div>
</body>
</html>